rem   file:  process.bat
rem   date:  6 April 1998
rem   auth:  J. Doutt

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process OC231002

rem   note: this file, 'PROCESS.BAT', lives 1 directory down from the data
rem         and should be run from the "process.bat' directory

rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"


rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\oc329\oc329%1 -cc:\cruise\oc329\oc329.con -oc:\cruise\oc329\process\oc329%1
   if errorlevel 1 goto abort

wildedit -ic:\cruise\oc329\process\oc329%1 -oc:\cruise\oc329\process\oc329%1
   if errorlevel 1 goto abort


binavg -ic:\cruise\oc329\process\oc329%1 -oc:\cruise\oc329\process\oc329%1
   if errorlevel 1 goto abort

derive -ic:\cruise\oc329\process\oc329%1 -oc:\cruise\oc329\process\oc329%1 -cc:\cruise\oc329\process\oc329.con
if errorlevel 1 goto abort
  rem  delete tesst.con

split -nd -ic:\cruise\oc329\process\oc329%1 -odc:\cruise\oc329\process\down -ouc:\cruise\oc329\process\up
      copy c:\cruise\oc329\process\down.cnv c:\cruise\oc329\process\oc329%1.cdn
      copy c:\cruise\oc329\process\up.cnv  c:\cruise\oc329\process\oc329%1.cup
   if errorlevel 1 goto abort

rem on oceanus, distribute the processed data to april for storage
copy  c:\cruise\oc329\oc329%1.dat f:\
copy  c:\cruise\oc329\oc329%1.con f:\
copy c:\cruise\oc329\oc329%1.hdr f:\
copy  c:\cruise\oc329\process\oc329%1.cup f:\process
copy  c:\cruise\oc329\process\oc329%1.cdn f:\process
copy c:\cruise\oc329\process\oc329%1.cnv f:\process

goto end

:abort
   echo batch process interrupted by user

:end
