rem   file:  process.bat
rem   date:  6 April 1998
rem   auth:  J. Doutt
rem   mod:   H. Dippel

@echo off

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process OC231002

rem   note: this file, 'PROCESS.BAT', lives 1 directory down from the data
rem         and should be run from the "process.bat' directory

rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"

rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\%2c\%2%3 -cc:\cruise\%2c\%1.con -oc:\cruise\%2c\process\%2%3
   if errorlevel 1 goto abort

wildedit -ic:\cruise\%2c\process\%2%3 -oc:\cruise\%2c\process\%2%3
   if errorlevel 1 goto abort

binavg -ic:\cruise\%2c\process\%2%3 -oc:\cruise\%2c\process\%2%3
   if errorlevel 1 goto abort

derive -ic:\cruise\%2c\process\%2%3 -oc:\cruise\%2c\process\%2%3 -cc:\cruise\%2c\process\%1.con
if errorlevel 1 goto abort
  rem  delete tesst.con

split -nd -ic:\cruise\%2c\process\%2%3 -odc:\cruise\%2c\process\down -ouc:\cruise\%2c\process\up
      copy c:\cruise\%2c\process\down.cnv c:\cruise\%2c\process\%2%3.cdn
      copy c:\cruise\%2c\process\up.cnv  c:\cruise\%2c\process\%2%3.cup
   if errorlevel 1 goto abort

rem on oceanus, distribute the processed data to april for storage
rem copy  c:\cruise\%2c\%2%3.dat f:\
rem copy  c:\cruise\%2c\%2%3.con f:\
rem copy c:\cruise\%2c\%2%3.hdr f:\
rem copy  c:\cruise\%2c\process\%2%3.cup f:\process
rem copy  c:\cruise\%2c\process\%2%3.cdn f:\process
rem copy c:\cruise\%2c\process\%2%3.cnv f:\process

goto end

:abort
   echo batch process interrupted by user

:end
