rem   file:  process.bat
rem   date:  6 April 1998
rem   auth:  J. Doutt

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process OC231002

rem   note: this file, 'PROCESS.BAT', lives 1 directory down from the data
rem         and should be run from the "process.bat' directory

rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"


rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\oc325\oc325%1 -cc:\cruise\oc325\oc325%1 -oc:\cruise\oc325\process\oc325%1
   if errorlevel 1 goto abort

wildedit -ic:\cruise\oc325\process\oc325%1 -oc:\cruise\oc325\process\oc325%1
   if errorlevel 1 goto abort
rem  goto end

rem celltm -ic:\cruise\oc325\process\oc325%1 -oc:\cruise\oc325\process\oc325%1
rem   if errorlevel 1 goto abort

filter -ic:\cruise\oc325\process\oc325%1 -oc:\cruise\oc325\process\oc325%1
   if errorlevel 1 goto abort

loopedit -ic:\cruise\oc325\process\oc325%1 -oc:\cruise\oc325\process\oc325%1
   if errorlevel 1 goto abort

binavg -ic:\cruise\oc325\process\oc325%1 -oc:\cruise\oc325\process\oc325%1
   if errorlevel 1 goto abort

rossum -ic:\cruise\oc325\process\oc325%1 -oc:\cruise\oc325\process\oc325%1
    if errorlevel 1 goto abort

copy c:\cruise\oc325\oc325%1.con c:\cruise\oc325\process\tesst.con
copy c:\cruise\oc325\process\tesst.con c:\cruise\oc325\process\oc325%1.con
derive -ic:\cruise\oc325\process\oc325%1 -oc:\cruise\oc325\process\oc325%1 -cc:\cruise\oc325\process\tesst
   if errorlevel 1 goto abort
   delete tesst.con

   split -nd -ic:\cruise\oc325\process\oc325%1 -odc:\cruise\oc325\process\down -ouc:\cruise\oc325\process\up
      copy c:\cruise\oc325\process\down.cnv c:\cruise\oc325\process\oc325%1.cdn
      copy c:\cruise\oc325\process\up.cnv  c:\cruise\oc325\process\oc325%1.cup
   if errorlevel 1 goto abort

rem on oceanus, distribute the processed data to april for storage
rem copy c:\cruise\oc324\ctd%1.dat f:
rem copy c:\cruise\oc324\ctd%1.bl f:
rem copy c:\cruise\oc324\process\ctd%1.con f:
rem c:\cruise\oc324\ctd%1.hdr f:
copy  c:\cruise\oc325\process\oc325%1.btl f:\process
copy  c:\cruise\oc325\process\oc325%1.cup f:\process
copy  c:\cruise\oc325\process\oc325%1.cdn f:\process
copy c:\cruise\oc325\process\oc325%1.cnv f:\process

goto end

:abort
   echo batch process interrupted by user

:end
