rem   file:  process.bat
rem   date:  6 April 1998
rem   auth:  J. Doutt

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process OC231002

rem   note: this file, 'PROCESS.BAT', lives 1 directory down from the data
rem         and should be run from the "process.bat' directory

rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"


rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\oc328\oc328%1 -cc:\cruise\oc328\oc328%1 -oc:\cruise\oc328\process\oc328%1
   if errorlevel 1 goto abort

wildedit -ic:\cruise\oc328\process\oc328%1 -oc:\cruise\oc328\process\oc328%1
   if errorlevel 1 goto abort

binavg -ic:\cruise\oc328\process\oc328%1 -oc:\cruise\oc328\process\oc328%1 -vp1
   
   if errorlevel 1 goto abort

rossum -ic:\cruise\oc328\process\oc328%1 -oc:\cruise\oc328\process\oc328%1
    if errorlevel 1 goto abort

copy c:\cruise\oc328\oc328%1.con c:\cruise\oc328\process\tesst.con
copy c:\cruise\oc328\process\tesst.con c:\cruise\oc328\process\oc328%1.con
derive -ic:\cruise\oc328\process\oc328%1 -oc:\cruise\oc328\process\oc328%1 -cc:\cruise\oc328\process\tesst
   if errorlevel 1 goto abort
   delete tesst.con

split -nd -ic:\cruise\oc328\process\oc328%1 -odc:\cruise\oc328\process\down -ouc:\cruise\oc328\process\up
      copy c:\cruise\oc328\process\down.cnv c:\cruise\oc328\process\oc328%1.cdn
      copy c:\cruise\oc328\process\up.cnv  c:\cruise\oc328\process\oc328%1.cup
   if errorlevel 1 goto abort

rem on oceanus, distribute the processed data to april for storage
copy c:\cruise\oc328\oc328%1.dat f:\
copy c:\cruise\oc328\oc328%1.bl f:\
copy c:\cruise\oc328\process\oc328%1.con f:\
copy c:\cruise\oc328\ctd%1.hdr f:
copy  c:\cruise\oc328\process\oc328%1.btl f:\process
copy  c:\cruise\oc328\process\oc328%1.cup f:\process
copy  c:\cruise\oc328\process\oc328%1.cdn f:\process
copy c:\cruise\oc328\process\oc328%1.cnv f:\process

goto end

:abort
   echo batch process interrupted by user

:end
