rem   file:  process.bat
rem   date:  6 April 1998
rem   auth:  J. Doutt

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process OC231002

rem   note: this file, 'PROCESS.BAT', lives 1 directory down from the data
rem         and should be run from the "process.bat' directory

rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"


rem  NOTE:  Must previously set up path to contain seasoft routines.
rem         Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

datcnv -ic:\cruise\oc324\ctd%1 -cc:\cruise\oc324\ctd%1 -oc:\cruise\oc324\process\bin%1
   if errorlevel 1 goto abort

wildedit -ic:\cruise\oc324\process\bin%1 -oc:\cruise\oc324\process\bin%1
   if errorlevel 1 goto abort
rem  goto end

celltm -ic:\cruise\oc324\process\bin%1 -oc:\cruise\oc324\process\bin%1
   if errorlevel 1 goto abort

filter -ic:\cruise\oc324\process\bin%1 -oc:\cruise\oc324\process\bin%1
   if errorlevel 1 goto abort

loopedit -ic:\cruise\oc324\process\bin%1 -oc:\cruise\oc324\process\bin%1
   if errorlevel 1 goto abort

binavg -ic:\cruise\oc324\process\bin%1 -oc:\cruise\oc324\process\bin%1
   if errorlevel 1 goto abort

copy c:\cruise\oc324\ctd%1.con c:\cruise\oc324\tesst.con
copy c:\cruise\oc324\tesst.con c:\cruise\oc324\process\bin%1.con
derive -ic:\cruise\oc324\process\bin%1 -oc:\cruise\oc324\process\bin%1 -cc:\cruise\oc324\tesst
   if errorlevel 1 goto abort
   delete c:\cruise\oc324\tesst.con

   split -nd -ic:\cruise\oc324\process\bin%1 -oddown -ouup
      copy c:\cruise\oc324\process\down.cnv c:\cruise\oc324\process\bin%1.cdn
      copy c:\cruise\oc324\process\up.cnv  c:\cruise\oc324\process\bin%1.cup
      del c:\cruise\oc324\process\down.cnv
      del c:\cruise\oc324\process\up.cnv
   if errorlevel 1 goto abort

rem on oceanus, distribute the processed data to april for storage
copy c:\cruise\oc324\process\bin%1.con f:\process
copy c:\cruise\oc324\process\bin%1.cup f:\process
copy c:\cruise\oc324\process\bin%1.cdn f:\process
copy c:\cruise\oc324\process\bin%1.cnv f:\process
copy c:\cruise\oc324\process\bin%1.ros f:\process

goto end

:abort
   echo batch process interrupted by user

:end
