rem   file:  process.bat
rem   auth:  J. Doutt
rem   date:  6 April 1998
rem   vers:  981005.1408

rem   takes a single SEABIRD cast and runs the chain of processing programs
rem   run as follows:  process 002

rem   note: this file, 'PROCESS.BAT', lives in the "process" directory, 
rem         1 directory down from the data directory,
rem         and should be run from the "process' directory

rem   After "SPLIT" the downgoing & upgoing casts are respectively in 
rem         "fname.cdn"  and "fname.cup"

rem   ???? NOTE:  Must previously set up path to contain seasoft routines.
rem   ????      Can do this (1 time only) by first running "SEA_PATH.BAT"

rem         Also, must have set up the ".cfg" files for each program
rem         you want to run in this directory!

rem ****** Set the following to the cruise and cruise directory
set CRUISE=oc331
set C_DIR=c:\cruise\%CRUISE%


rem datcnv -ic:\cruise\oc328\oc328%1 -cc:\cruise\oc328\oc328%1 -oc:\cruise\oc328\process\oc328%1
   datcnv -i%C_DIR%\%CRUISE%%1 -c%C_DIR%\%CRUISE%%1 -o%C_DIR%\process\%CRUISE%%1
   if errorlevel 1 goto abort


rem wildedit -ic:\cruise\oc328\process\oc328%1 -oc:\cruise\oc328\process\oc328%1
   wildedit -i%C_DIR%\process\%CRUISE%%1 -o%C_DIR%\process\%CRUISE%%1
   if errorlevel 1 goto abort

rem binavg -ic:\cruise\oc328\process\oc328%1 -oc:\cruise\oc328\process\oc328%1 -vp1
  binavg -i%C_DIR%\process\%CRUISE%%1 -o%C_DIR%\process\%CRUISE%%1 -vp1
   
   if errorlevel 1 goto abort

rem rossum -ic:\cruise\oc328\process\oc328%1 -oc:\cruise\oc328\process\oc328%1
  rossum -i%C_DIR%\process\%CRUISE%%1 -o%C_DIR%\process\%CRUISE%%1
    if errorlevel 1 goto abort

  copy %C_DIR%\%CRUISE%%1.con   %C_DIR%\process\tesst.con
  copy %C_DIR%\process\tesst.con %C_DIR%\process\%CRUISE%%1.con
  derive -i%C_DIR%\process\%CRUISE%%1 -o%C_DIR%\process\%CRUISE%%1 -c%C_DIR%\process\tesst
   if errorlevel 1 goto abort
   delete tesst.con

  split -nd -ic:\cruise\oc328\process\oc328%1 -odc:\cruise\oc328\process\down -ouc:\cruise\oc328\process\up
       copy %C_DIR%\process\down.cnv %C_DIR%\process\%CRUISE%%1.cdn
       copy %C_DIR%\process\up.cnv  %C_DIR%\process\%CRUISE%%1.cup
   if errorlevel 1 goto abort


rem on oceanus, distribute the processed data to april for storage
copy %C_DIR%\%CRUISE%%1.dat f:\
copy %C_DIR%\%CRUISE%%1.bl f:\
copy %C_DIR%\process\%CRUISE%%1.con f:\
copy %C_DIR%\ctd%1.hdr f:
copy %C_DIR%\process\%CRUISE%%1.btl f:\process
copy %C_DIR%\process\%CRUISE%%1.cup f:\process
copy %C_DIR%\process\%CRUISE%%1.cdn f:\process
copy %C_DIR%\process\%CRUISE%%1.cnv f:\process

goto end

:abort
   echo batch process interrupted by user

:end
