/**************************************************************************

  File:         daemon.c
  
  Part of the Advanced Fault Sensor - Master Ground Station
  
  Daemon functions

  Author:  Greg Herlein

  **************************************************************************/

/* stdlib  */
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

/* pgelib  */
#include "common_defs.h"
#include "daemon.h"


int
daemon_init(void)
{
  pid_t               pid;
  
  pid=fork();
  if(pid<0) return -1;
  else if(pid!=0) exit(0);       /* parent exits */
				      
  /* child continues */
  setsid();                       /* become session leader */
  
  chdir("/mgs");
  umask(0);
  return 0;
}
